// The Main HAM Library
#include <mygba.h>

// Function: main()
int main()
{
    // Variables
    bool key_pressed = 0;

    // Initialize HAMlib
    ham_Init();

    // Initialize the text display system in BGMODE 0
    ham_InitText(0);

    // Draw some text to the screen
    ham_DrawText(0,0,"Hello, World!");
    ham_DrawText(10,19,"Press D-Pad To Reset");

    // Loop until a direction on the D-Pad is pressed
    while(key_pressed == 0)
    {
        // Check for input
        if (F_CTRLINPUT_UP_PRESSED
            || F_CTRLINPUT_DOWN_PRESSED
            || F_CTRLINPUT_LEFT_PRESSED
            || F_CTRLINPUT_RIGHT_PRESSED)
        {
            // Change key_pressed to true
            key_pressed = 1;
        }
    }

    return 0;
} // End of main()

